# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    html = wgets('https://camstudio.org',proxies=proxies).splitlines()
    for line in html:
        if 'Latest Version' in line:
            version = line.split(' ')[-4]
    download_url = "https://cs07112018.s3.us-east-2.amazonaws.com/CamStudioSetup.exe"
    latest_bin = "CamStudioSetup.exe"

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
    else:
        print("Binary is present: %s" % latest_bin)

    # Changing version of the package
    control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating or not update-package-sources
    return result
